.actionDetailHeaderRowCharacterCUSTOMEnergyBox {
    width: 120px;
    height: 120px;
    /* border-radius: 50%; */
    overflow: hidden;
    box-sizing: border-box;
    /* border: 4px solid grey; */
    /* background-color: #0d0c0c; */
    position: absolute;
    right: 0;
    top: 20%;
}
.actionDetailHeaderRowCharacterCUSTOMEnergyImage {
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 0;
    scale: 1.2;
}
.acheronCenterVortex { 
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 0;
    scale: 1;
    transform: translateY(-4%);
}
.acheronSlashIcon,.acheronSlashIconSmol { 
    /* width: 100%;
    height: 100%; */
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 50%;
    top: 50%;
    
    /* transform: translate(-50%, -100%) rotate(40deg); */
    /* transform-origin: center center; */
    transform-origin: center center;
    /* scale: 1.21; */
    width:  43px;
    height: 43px;
}
.acheronSlashIconSmol {
    width:  51px;
    height: 51px;
}


.castoriceMainOutlineCUSTOMEnergyImage {
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 0;
    scale: 1.1;
}
.castoriceFillShutterCUSTOMEnergyImage {
    width:  110px;
    height: 110px;
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 0px;
    bottom: 0px;
    
    scale: 1;


}
.castoriceFillShutterCUSTOMEnergyImageBOX {
    left: 5%;
    width: 90%;
    height: 90%;
    bottom: 8%;
    overflow: hidden;
    position: absolute;
    /* border: 1px solid red; */
}
.castoriceLOCKCUSTOMEnergyImage {
    width: 50px;
    height: 50px;
    object-fit: contain;
    /* opacity: 0.8; */
    position: absolute;
    left: 50%;
    bottom: 50%;
    transform: translate(-50%,50%);
    scale: 1;
}

.customEnergyBodyMarksBar {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-align: left;
    box-sizing: border-box;
    padding: 5px;
    padding-left: 15px;
    height: 25px;
    white-space: normal;
    position: relative;

    background: linear-gradient(to right, transparent 5px,black 30px, transparent 150px);
    

    /* flex-wrap: wrap; */
    /* border: 1px solid red; */
}

.customEnergyBodyMarksCIRCLE {
    border-radius: 50%;
    border: 1px solid white;
    height: 13px;
    width:  13px;
    margin-left:    3px;
    margin-right:   3px;
}
.customEnergyBodyMarksDIAMOND {
    /* border-radius: 50%; */
    border: 1px solid white;
    height: 8px;
    width:  8px;
    rotate: 45deg;
    margin-left:    4px;
    margin-right:   4px;
}



.memoHPBar {
    position: relative;
    /* width: 80px; */
    /* height: 200px; */
    width:  70px;
    height: 100px;
    background: #222;
    mask: url(/HonkaiSR/misc/FrameServantHP.png) center / contain no-repeat;
    -webkit-mask: url(/HonkaiSR/misc/FrameServantHP.png) center / contain no-repeat;

    overflow: hidden;
    margin-left: -10px;
}
.memoHPShutter {
    position: absolute;
    top: 50%;
    right: 0%;
    
    width: 200px;
    height: 200px;
    background: linear-gradient(to right, #C84A32, #993622);
    transform-origin: top right;
}



.customEnergyMemoBoxBar {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-align: left;
    box-sizing: border-box;
    padding: 5px;
    padding-left: 0px;
    white-space: normal;
    position: relative;
    

    /* flex-wrap: wrap; */
    /* border: 1px solid red; */
}
.customEnergyMemoBoxImageBox,.customEnergyMemoBoxImageBoxMemoDead {
    height: 70px;
    width:  70px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.205);
    overflow: hidden;
    margin-left: -37px;
}
.customEnergyMemoBoxImageBox:hover {
    opacity: 0.5;
}
.customEnergyMemoBoxImageBoxMemoDead {
    background-color: rgba(46, 46, 46, 0.575);
    margin-left: 10px;
    opacity: 0.5;
}
.customEnergyMemoBoxImage {
    height: 100%;
    width: 100%;
    object-fit: contain;
    scale: 1.4;
}



.customEnergyBodyMarksCIRCLEPROGRESS {
    border-radius: 50%;
    height: 40px;
    width:  40px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;

    border-radius: 50%;
    margin-right: 5px;
    margin-left: 5px;
}

.customEnergyBodyMarksCIRCLEPROGRESSIcon {
    height: 80%;
    width:  80%;
    object-fit: contain;
    scale: 1;
    background-color: black;
    border-radius: 50%;
}

.customEnergyBodyPROGRESSBar {
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-align: left;
    box-sizing: border-box;
    padding: 5px;
    padding-left: 5px;
    margin-top: 3px;
    margin-bottom: 3px;
    white-space: normal;
    position: relative;

    background: linear-gradient(to right, transparent 5px,black 30px, transparent 150px);
}



.customEnergyBodyMarksIMAGEIcon {
    height: 30px;
    width:  30px;
    object-fit: contain;
    scale: 1;
    /* background-color: black; */
    /* border-radius: 50%; */
}

